<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";
  import LineG from "./_design_1_lines.svelte";
  import RadioSelect from "./_design_1_controls.svelte";

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  let data;
  let selectedCity;
  let scaleAll;
  onMount(async () => {
    data = await json("/data/hourly_heating_december.json", function (d) {
      return {city: d.city, building_type: d.buildingtype, tot_hour: (d.day - 1)*24+d.hour, energy: d.total_heating_energy }
    });
  });
</script>

<div>
<RadioSelect bind:selectedCity={selectedCity} bind:scaleAll={scaleAll}/>
</div>
<div>
<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <LineG data={data} bind:selectedCity={selectedCity} bind:scaleAll={scaleAll}/>
  </g>
</svg>
</div>

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
</style>
